## download .fa for each chromosome and calculate the GC content for given window size

GCcount <- function(chr, binsize, url){
  options(scipen=50) 
  filename <- paste(url, chr, ".fa.gz", sep="")
  f <- tempfile()
  download.file(filename, f, method="wget")
  data <- readLines(gzfile(f))
  closeAllConnections()
  unlink(f)
  num <- ceiling((length(data)-1)/(binsize/50))
  interval <- binsize/50
  GC <- NULL  
  for(i in 1:num){	
    if(i==num) lines <- c((2+interval*(i-1)):length(data))
    else lines <- c(2:(1+interval))+interval*(i-1)
    sequence <- unlist(strsplit(toupper(data[lines]), ""))
    if(length(sequence[sequence%in%c("G", "C")])!=0)
      res <- length(sequence[sequence%in%c("G", "C")])/(length(lines)*50) 
    else
      res <- 0			
    GC <- c(GC, res)			
  }	
  interval1 <- seq(1, (length(data)-1)*50, by=binsize)
  interval2 <- interval1 + binsize - 1
  final <- data.frame(chr, interval1, interval2, GC, stringsAsFactors = FALSE)
  return(final)
}



