MergeSegment <-
function(segment){
#### Written by Mengjie Chen, Nov 2012 #####
#### Merge neighboring segments with same somatic copy number and events ####  	
	if(class(segment)!="GRanges")
		stop("Wrong input format! Check the manual") 
    suppressPackageStartupMessages(require(foreach))
    clonality <- as(segment, "data.frame")
   	clonality$level <- paste(clonality$somaCN, clonality$event, 
                            clonality$clonality, clonality$germCN, 
                            clonality$subclonalCN, clonality$subpercent, sep=";")
    l <- NULL
	  res <- foreach(l=unique(as.character(clonality$seqnames)), .combine=rbind) %do% {
		sub <- clonality[clonality$seqnames==l, ]
		len <- length(sub[, 1])
		m <- 1
		total <- NULL
		while(1){
			n <- 1
			while(sub$level[m]==sub$level[m+n] & m+n<=len){
				n <- n+1
			}
			group <- c(m, m+n-1)
			total <- rbind(total, group)
			m <- m+n
			if(m == len){ 
				group <- c(m, m)
				total <- rbind(total, group)
				break
			}
			else if(m > len){
				break
			}	
		}
		new.start <- sub$start[total[, 1]]
		new.end <- sub$end[total[, 2]]
		new.level <- sub$level[total[, 1]]
		onechr <- cbind(l, new.start, new.end, new.level)
		return(onechr)
	}
	res[, 4] <- as.character(res[, 4])
	copynumber <- unlist(strsplit(res[, 4], ";"))[seq(1, 6*nrow(res), by=6)]
	event <- unlist(strsplit(res[, 4], ";"))[seq(2, 6*nrow(res), by=6)]
	subclonality <- unlist(strsplit(res[, 4], ";"))[seq(3, 6*nrow(res), by=6)]
	germlinecopynumber <- unlist(strsplit(res[, 4], ";"))[seq(4, 6*nrow(res), by=6)]
	subclonecopynumber <- unlist(strsplit(res[, 4], ";"))[seq(5, 6*nrow(res), by=6)]
	percent <- unlist(strsplit(res[, 4], ";"))[seq(6, 6*nrow(res), by=6)]
  merged <- GRanges(seqnames=as.character(res[, 1]), 
               ranges=IRanges(start=as.integer(res[, 2]), end=as.integer(res[, 3])),
               somaCN=copynumber,       
               event=as.character(event),
               clonality=as.character(subclonality),
               germCN=as.integer(germlinecopynumber),
               subclonalCN=as.integer(subclonecopynumber),
               subpercent=as.numeric(percent))  
	return(merged)	
}
