copynumberCorrected <-
function(segment, admix){
######### Written by Mengjie Chen, Nov 2012
######### Modified in Jan, 2013  
	if(admix > 1 | admix < 0)
		stop("Amixture rate should be a number between 0 and 1.")
	if(class(segment) != "GRanges")
		stop("Wrong input! Please check the manuals.")
	segment <- as.data.frame(segment)
	corrected <- (segment$ratio-admix)/(1-admix)
	corrected[corrected < 0] <- 0
	mm <- seq(0, 10, by=1)
	somaticCNV <- tapply(corrected*2, 1:length(segment$ratio), function(x){
		mm[which.min(abs(x-mm))]})
	event <- rep("=", length(somaticCNV))
	event[corrected > 1.25] <- "Gain"	
	event[corrected < 0.8] <- "Loss"
	event[segment$medLAF < 0.2 & segment$medgLAF > 0.4 & as.integer(somaticCNV) < 2] <- "LOH"
	event[segment$medLAF < 0.2 & segment$medgLAF > 0.4 & (abs(segment$ratio-1) < 0.05)] <- "Neutral LOH"
	event[somaticCNV==0] <- "Double deletion"
  
	result <- GRanges(seqnames=segment$seqnames, 
	                 ranges=IRanges(start=segment$start, end=segment$end),
	                 medLAF=segment$medLAF,
	                 medgLAF=segment$medgLAF,
	                 ratio=segment$ratio,
                   somaCN=somaticCNV, 
                   event=event)  
	return(result)
}