plotSubclonality <-
function(segment, dev.new=TRUE, ...){
### Wirtten by Mengjie Chen, Nov 2012 ###
### Visualization of clonality ###	
	if(class(segment) != "GRanges")
		stop("Wrong input format! Check the manual") 
	z <- as(segment, "data.frame")
	z$quantile <- rep(1, length(z$start))
	z$quantile <- floor(round(z$subpercent, 2)*10)/10
	palette.gr.marray <- c("gray", colorRampPalette(c("yellow", "red"))(10))
	z$color <- palette.gr.marray[z$quantile*10+1]
	maxlength <- tapply(z$end, z$seqnames, max)
	xmax <- sum(maxlength/1000000)
  par(xpd=TRUE)
  par(mar=c(5,4,4,4))
  if(dev.new==TRUE)	dev.new(width = 12, height = 6)
    plot(1, 1, type="n", pch=20, ylim=c(0, 4), xlim=c(0, xmax), axes = F, xlab="", ylab="Somatic Copy Number", cex.lab=1.3, cex.axis=1.3, ...)
    axis(2)	
	order <- 0
	for(l in unique(as.character(z$seqnames))){
		sub <- z[z$seqnames==l, ]	
		for(m in 1:dim(sub)[1]){
			lines(c(sub$start[m]/1000000+order, sub$end[m]/1000000+order), c(as.numeric(as.character(sub$somaCN[m])), as.numeric(as.character(sub$somaCN[m]))), col=sub$color[m], lwd=5)
		}
		order <- order + sub[dim(sub)[1], "end"]/1000000
		abline(v=order, col="gray", lty="dashed", lwd=2)
		text(order-0.5*sub[dim(sub)[1], "end"]/1000000, 0.5, gsub("chr","", l), cex=1.1)
	}
	legend(xmax, 4, c("no change", "<10%", "10%~20%", "20%~30%", "30%~40%", "40%~50%", "50%~60%", "clonal"), col=palette.gr.marray[c(1:7, 10)], lty=1, lwd=3, cex=0.6)
}
