\name{GCcount}
\alias{GCcount}

\title{
Calculate the GC content of given window size for a chromosome.
}
\description{
The function downloads the .fa.gz of a given chromosome from UCSC genome browser and 
calculate the GC content for given window size. 

}
\usage{
GCcount(chr, binsize, url)
}
\arguments{
  \item{chr}{
chromosome name. e.g. "chr1". 
}
  \item{binsize}{
window size. e.g. 1000000. 
}
  \item{url}{
diretory of human genome assembly. e.g."http://hgdownload.soe.ucsc.edu/goldenPath/hg19/chromosomes/". 
}
}

\value{
A GRanges object. 
\item{chr}{ A character vector. Chromosome information.}
\item{interval1}{An integer vector. Start position of each bin.}
\item{interval2}{An integer vector. End position of each bin.}
\item{GC}{A numeric vector. GC content of each bin.}
}

\author{
Mengjie Chen
}

\examples{
chr <- "chr1"
url <- "http://hgdownload.soe.ucsc.edu/goldenPath/hg19/chromosomes/"
#downloding speed may depend on the machine and internet
#test <- GCcount(chr, 10000, url)
}

\keyword{methods}

