\name{copynumberCorrected}
\alias{copynumberCorrected}

\title{
Somatic copy number corrected by admixture rate.
}
\description{
Somatic copy number corrected by admixture rate.
}
\usage{
copynumberCorrected(segment, admix)
}
\arguments{
  \item{segment}{
A GRanges class, segments with annotation of somatic ratio.
}
  \item{admix}{
Numeric. Admixture rate of normal cells.
}
}

\value{
A GRanges class, segments with annotation of event.
\item{seqnames, ranges }{See GRanges().}
\item{medLAF }{A numeric vector. Median lesser allele frequency of each segment in the tumor sample.}
\item{ratio}{ A numeric vector. Somatic ratio (read depth ratio of tumor/normal) of each segment. }
\item{somaCN}{An integer vector. Somatic integer copy number based on somatic ratio.}
\item{event}{ A character vector. Somatic event characterization based on somatic ratio, taking values of "=", "Loss", "Gain", "LOH", "neutral LOH" or "double deletion".}
}

\author{
Mengjie Chen
}

\examples{
data(segwithratio)
x <-  GRanges(seqnames=segwithratio$chromosome, 
              ranges=IRanges(start=segwithratio$start, 
                             end=segwithratio$end),
              medLAF=segwithratio$medLAF,
              medgLAF=segwithratio$medgermlineLAF,
              ratio=segwithratio$ratio
              )
admix <- 0.4 
y <- copynumberCorrected(x, admix)
}

\keyword{ methods }

