\name{denoise}
\alias{denoise}
\title{
Smoothing procedure by replacing outliers. 
}
\description{
Smoothing procedure by replacing outliers (defined by deviations from mean) with median in a sliding window.
}
\usage{
denoise(data, k = 30, t = 2)
}
\arguments{
  \item{data}{
A numeric vector.
}
  \item{k}{
Define window size.
}
  \item{t}{
The number of standard deviation used to define outliers. 
}
}

\value{
Smoothed data, a numeric vector.
}

\author{
Mengjie Chen
}

\examples{
x <- c(rnorm(200, 0.4, 0.05), rnorm(200, 0.1, 0.05)) 
x[round(runif(20)*400)] <- rnorm(20, 0.2, 0.05)
x[round(runif(20)*400)] <- rnorm(20, 0.3, 0.05)
y <- denoise(x)
plot(x)
points(y, pch=20, col="red")
}

\keyword{ methods }

