\name{plotSubclonality}
\alias{plotSubclonality}

\title{
Plot clonality and somatic copy number.
}
\description{
Plot clonality and somatic copy number for a tumor sample.
}
\usage{
plotSubclonality(segment, dev.new = TRUE, ...)
}
\arguments{
  \item{segment}{
A GRanges object, segments with annotation of copy number and subclonality.
}
  \item{dev.new}{
Whether a new device will be opened.
}
  \item{\dots}{
Parameters in plot().
}
}

\value{
A plot.
}

\author{
Mengjie Chen
}

\examples{
chr <- c("chr1", "chr1", "chr1", "chr1", "chr2", "chr2", "chr2", "chr2")
start <- c(1, 41, 61 , 71, 1, 51, 71, 91)
end <- c(41, 61 , 71, 91, 51, 71, 91, 101)
medLAF <- c(0.15, 0.27, 0.4, 0.42, 0.4, 0.41, 0.42, 0.39)
medgermlineLAF <- rep(0.43, 8)
ratio <- c(0.5, 0.7, 1.1, 1, 1.1, 1, 1, 0.9)
copynumber <- c(1, 1, 2, 2, 2, 2, 2, 2)
event <- c("LOH", "Loss", "=", "=", "=", "=", "=", "=")
clonality <- c("Clonal", "subclonal_loss", "subclonal_gain", "=", 
            "=", "=", "=", "subclonal_loss")
germlinecopynumber <- c(2, 2, 2, 2, 2, 2, 2, 2)
subclonecopynumber <- c(1, 1, 3, 2, 2, 2, 2, 1)
subpercent <- c(1, 0.4, 0.1, 0, 0, 0, 0, 0.1)
x <- GRanges(seqnames=chr, 
             ranges=IRanges(start=start, end=end),
             medLAF=medLAF,
             medgLAF=medgermlineLAF,
	           ratio=ratio,
             somaCN=copynumber, 
             event=event,
	           clonality=clonality,
	           germCN=germlinecopynumber,
	           subclonalCN=subclonecopynumber,
             subpercent=subpercent)
merged <- MergeSegment(x)
plotSubclonality(merged)

}

\keyword{ aplot }
